<?php

include '/var/www/sites/basic/db_connect.php';

class Note {
	
	var $noteTitle;
	var $noteContent;
	var $noteDate;
	var $noteBookId;
	var $memberId;
	
	function Note($noteTitle = '', $noteContent = '', $noteDate = '', $memberId = '', $noteBookId = '') {
		
		$this->noteTitle = $noteTitle;
		$this->noteContent = $noteContent;
		$this->noteDate = $noteDate;
		$this->memberId = $memberId;
		$this->noteBookId = $noteBookId;

	}
	
	function createNoteEntry() {
		try {
			//TODO: OPPRETTE TABELL FOR NOTATER I MOBESITY-DB!
			$mdb2 = db_connect('mobesity');
			$table_name = 'note';
			$fields_values = array(
				'member_id'    => $this->memberId,
				'notebook_id'    => $this->noteBookId,
				'notetitle'  	=> $this->noteTitle,
				'notecontent'	=> $this->noteContent,
				'notedate'		=> $this->noteDate
			);
			$types = array('int', 'int', 'text', 'text', 'text');
			
			$mdb2->loadModule('Extended');
			$affectedRows = $mdb2->extended->autoExecute($table_name, $fields_values,
						MDB2_AUTOQUERY_INSERT, $types);
			
			if (PEAR::isError($affectedRows)) {
				die($affectedRows->getMessage());
			}
			$mdb2->disconnect();
			
			return true;
			
		} catch (Exception $e) {
			printf("Error:getmember: %s\n",$e->__toString());
			return false;
		}
	}
	
}
?>