<?php
function _sendSms($phoneNumber, $message) {
	if ($phoneNumber == null || $phoneNumber == '') {
		printf("Error:sendSms: Telefonnummer er ikke satt");
		return false;
	}
	$wsdl_url = "http://px.pats.no/px/services/SendSms?WSDL";
	try {                                            
			$client = new SoapClient($wsdl_url, array('login' => "91897536", 'password' => "91897536", 'trace' => TRUE));
	} catch (Exception $e) {
			printf("Error:createSmsClient: %s\n",$e->__toString());
			return false;
	}
	$address = "tel:".$phoneNumber;
	$addresses = array(0 => $address);

	$senderName = "2034";

	$charging = new SoapVar(array(
		"description" => "test",
		"currency" => "",
		"amount" => 0,
		"code" => ""),
		XSD_ANYTYPE, "ChargingInformation", "http://www.csapi.org/schema/parlayx/common/v2_1");
	$receiptRequest = new SoapVar(array(
		"endpoint" => "",
		"interfaceName" => "",
		"correlator" => ""),
		XSD_ANYTYPE, "SimpleReference", "http://www.csapi.org/schema/parlayx/common/v2_1");

	$messageArray = array(
		"addresses" => $addresses, 
		"senderName" => $senderName, 
		"charging" => $charging,
		"message" => $message, 
		"receiptRequest" => $receiptRequest);

	try {
		$client->sendSms($messageArray);
		return true;
		} catch(Exception $e) {
			printf("Error:sendSms: %s\n",$e->__toString());
			return false;
	}
}
?>