<?php
/*
Plugin Name: auto_login
Description: Log user into wordpress if he is authenticated trough the external authentication system
Author: Mobesity
Version: 1.0
*/
function auto_login() {
	include_once '/var/www/sites/basic/pageController.php';
	include_once '/var/www/sites/basic/Member.php';
	
	_checkSession();
    
    if (!is_user_logged_in()) {
		//determine WordPress user account to impersonate
		$member = new Member();
		$member->getMemberBySession(session_id());
        $user_login = $member->username;
       //get user's ID
        $user = get_userdatabylogin($user_login);
        $user_id = $user->ID;
  
        //login
        wp_set_current_user($user_id, $user_login);
        wp_set_auth_cookie($user_id);
        do_action('wp_login', $user_login);
    }
} 

add_action('init', 'auto_login');
?>