<?php 
	include '/var/www/sites/basic/pageController.php';
	_checkSession('admin');
	
	if (isset($_POST['registerForm'])) {
		$username = isset($_POST['username']) ? trim($_POST['username']) : '';
		$password = isset($_POST['password']) ? trim($_POST['password']) : '';
		$password2 = isset($_POST['password2']) ? trim($_POST['password2']) : '';
		$tlf = isset($_POST['tlf']) ? trim($_POST['tlf']) : '';
		$firstname = isset($_POST['firstname']) ? trim($_POST['firstname']) : '';
		$surname = isset($_POST['surname']) ? trim($_POST['surname']) : '';
		$email = isset($_POST['email']) ? trim($_POST['email']) : '';
		$role = isset($_POST['role']) ? trim($_POST['role']) : '';
		
		$errors = insertMember($username, $password, $password2, $tlf, $firstname, $surname, $email, $role);
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Mobesity Registrering</title>
	<link rel="stylesheet" href="basic_style.css">
</head>
<body OnLoad="document.registerForm.username.focus();">
	<div class="registerBox">
		<h3>Registrering av ny Mobesity-bruker</h3>
		<div class="inside">
			<form name="registerForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST">
			<div class="row">
				Brukernavn:
				<input type="text" name="username" class="inputField" 
					value="<?php echo isset($_POST['username']) ? $_POST['username'] : '' ?>" />
			</div>
			<div class="row">		
				Passord:
				<input type="password" name="password" class="inputField" />
			</div>
			<div class="row">	
				Gjenta passord:
				<input type="password" name="password2" class="inputField" />
			</div>
			<div class="row">	
				Telefonnummer:
				<input type="text" name="tlf" class="inputField" 
					value="<?php echo isset($_POST['tlf']) ? $_POST['tlf'] : '' ?>" />
			</div>
			<div class="row">		
				Fornavn:
				<input type="text" name="firstname" class="inputField" 
					value="<?php echo isset($_POST['firstname']) ? $_POST['firstname'] : '' ?>" />
			</div>
			<div class="row">		
				Etternavn:
				<input type="text" name="surname" class="inputField" 
					value="<?php echo isset($_POST['surname']) ? $_POST['surname'] : '' ?>" />
			</div>
			<div class="row">		
				E-mail:
				<input type="text" name="email" class="inputField" 
					value="<?php echo isset($_POST['email']) ? $_POST['email'] : '' ?>" />
			</div>
			<div class="row">		
			Gruppetilhørighet:
				<select name="role" class="dropDown">
					<option value='4' selected>Kirurgigruppen</option>
					<option value='5'>Livsstilsgruppen</option>
					<option value='7'>Helsepersonell</option>
				</select>
			</div>
			<?php if (isset($errors[0])) { ?> <div class="row high"> <?php echo $errors[0].'</div>'; } ?>
			<div class="row">
				<input type="button" name="clear" value="Tøm skjema" onClick="this.form.reset();" class="left">
				<input type="submit" name="registerForm" value="Registrer bruker" class="right">
			</div>
			<div class="row">
				<a href="../wordpress">Tilbake til hovedsiden</a>
			</div>
			</form>
		</div>
	</div>
</body>
</html>