<?php 
include_once('/var/www/sites/basic/pageController.php');
$isAuth = _checkSession('admin');

if (isset($_POST['mob_registerForm'])) {
	$username = isset($_POST['mob_username']) ? trim($_POST['mob_username']) : '';
	$password = isset($_POST['mob_password']) ? trim($_POST['mob_password']) : '';
	$password2 = isset($_POST['mob_password2']) ? trim($_POST['mob_password2']) : '';
	$tlf = isset($_POST['mob_tlf']) ? trim($_POST['mob_tlf']) : '';
	$firstname = isset($_POST['mob_firstname']) ? trim($_POST['mob_firstname']) : '';
	$surname = isset($_POST['mob_surname']) ? trim($_POST['mob_surname']) : '';
	$email = isset($_POST['mob_email']) ? trim($_POST['mob_email']) : '';
	$role = isset($_POST['mob_role']) ? trim($_POST['mob_role']) : '';
	
	$errors = insertMember($username, $password, $password2, $tlf, $firstname, $surname, $email, $role);
}
if ($isAuth) {
?>
<script type="text/javascript">
// function will clear input elements on each form  
function clearForms(){  
  // declare element type  
  var type = null;  
  // loop through forms on HTML page  
  for (var x=0; x<document.forms.length; x++){  
    // loop through each element on form  
    for (var y=0; y<document.forms[x].elements.length; y++){  
      // define element type  
      type = document.forms[x].elements[y].type  
      // alert before erasing form element  
      //alert('form='+x+' element='+y+' type='+type);  
      // switch on element type  
      switch(type){  
        case "text":  
        case "textarea":  
        case "password":  
        //case "hidden":  
          document.forms[x].elements[y].value = "";  
          break;  
        case "radio":  
        case "checkbox":  
          document.forms[x].elements[y].checked = "";  
          break;  
        case "select-one":  
          document.forms[x].elements[y].options[0].selected = true;  
          break;  
        case "select-multiple":  
          for (z=0; z<document.forms[x].elements[y].options.length; z++){  
            document.forms[x].elements[y].options[z].selected = false;  
          }  
        break;  
      }  
    }  
  }  
}
</script>
<form name="mob_registerForm" action="https://holden.taffey.net/sites/wordpress/?page_id=501" method="POST">
	<div class="row">
		Brukernavn:
		<input type="text" name="mob_username" class="inputField" value="<?php echo isset($_POST['mob_username']) ? $_POST['mob_username'] : '' ?>" />
	</div>
	<div class="row">		
		Passord:
		<input type="password" name="mob_password" class="inputField" />
	</div>
	<div class="row">	
		Gjenta passord:
		<input type="password" name="mob_password2" class="inputField" />
	</div>
	<div class="row">	
		Telefonnummer:
		<input type="text" name="mob_tlf" class="inputField" value="<?php echo isset($_POST['mob_tlf']) ? $_POST['mob_tlf'] : '' ?>" />
	</div>
	<div class="row">		
		Fornavn:
		<input type="text" name="mob_firstname" class="inputField" value="<?php echo isset($_POST['mob_firstname']) ? $_POST['mob_firstname'] : '' ?>" />
	</div>
	<div class="row">		
		Etternavn:
		<input type="text" name="mob_surname" class="inputField" value="<?php echo isset($_POST['mob_surname']) ? $_POST['mob_surname'] : '' ?>" />
	</div>
	<div class="row">		
		E-mail:
		<input type="text" name="mob_email" class="inputField" value="<?php echo isset($_POST['mob_email']) ? $_POST['mob_email'] : '' ?>" />
	</div>
	<div class="row">
		Gruppetilhørighet:
		<select name="mob_role" class="dropDown">
			<option value='4' selected>Kirurgigruppen</option>
			<option value='5'>Livsstilsgruppen</option>
			<option value='7'>Helsepersonell</option>
		</select>
	</div>
	<?php if (isset($errors[0])) { ?> <div class="row high"> <?php echo $errors[0].'</div>'; } ?>
	<div class="row">
		<input type="button" name="mob_clear" value="Tøm skjema" onClick="clearForms();">
		<input type="submit" name="mob_registerForm" value="Registrer bruker">
	</div>
</form>
<?php
} else {
	echo 'Du har ikke tilgang til denne siden.';
}
?>

