<?php get_header(); ?>

	<div id="content">

	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
			<div class="post">
				<div class="commentcount"><?php comments_popup_link('0', '1', '%'); ?></div>
				<div class="title">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					<div class="meta">Posted <?php the_time('F jS, Y') ?>. Filed under <?php the_category(' ') ?></div>
				</div>
				<div class="entry">
					<?php the_content('<p>Read the rest of this entry &raquo;</p>'); ?>
				</div>
			</div>
		<?php endwhile; ?>
		<?php 
		if(function_exists('wp_pagenavi')) { wp_pagenavi(); }
		else { 
		?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>
		<? } ?>

	<?php else : ?>

		<div class="page" >
			<h2>Rats... Whatever You Were Looking For Isn't Here!</h2>
			<div class="entry">		
				<p>Sadly, the page that you thought was here ( or used to be here ) is not here anymore. Please hop back to our <a href="<?php echo get_option('home'); ?>">Home Page</a> or try using the search area off to the right to find what you were looking for.</p>
			</div>
		</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>
